import { PlotLineType } from "./types";
export declare function clearCanvas(context: CanvasRenderingContext2D | null, x: number, y: number, w: number, h: number): void;
export declare function drawCandle(context: CanvasRenderingContext2D | null, color: string, ocx: number, oy: number, cy: number, hlx: number, hy: number, ly: number, bw: number, sw?: number): void;
export declare function drawBar(context: CanvasRenderingContext2D | null, color: string, x: number, y: number, w: number, h: number): void;
export declare function drawLine(context: CanvasRenderingContext2D | null, color: string, lineType: PlotLineType, lineWidth: number, coordinates: number[][]): void;
export declare function drawArea(context: CanvasRenderingContext2D | null, lineColor: string, lineColorBaseY: string | undefined, lineWidth: number, areaColors: string[], coordinates: number[][]): void;
export declare function drawText(context: CanvasRenderingContext2D | null, text: string, x: number, y: number, maxWidth?: number, color?: string, font?: string, align?: CanvasTextAlign, baseline?: CanvasTextBaseline, direction?: CanvasDirection): void;
export declare function drawCenterPivotRotatedText(context: CanvasRenderingContext2D | null, text: string, x: number, y: number, angleDegree: number, color?: string, font?: string): void;
export declare function drawGridLine(context: CanvasRenderingContext2D | null, color: string, x: number, y: number, w: number, h: number, type: 'vert' | 'horiz' | 'both'): void;
export declare function drawBoxFilledText(context: CanvasRenderingContext2D | null, text: string, backColor: string, textColor: string, tx: number, ty: number, rx?: number, ry?: number, rw?: number, rh?: number, font?: string, align?: CanvasTextAlign, baseline?: CanvasTextBaseline): void;
export declare function drawXRange(context: CanvasRenderingContext2D | null, x1: number, x2: number, h: number, lineColor: string, lineWidth: number, areaColor: string, text?: string, fontSize?: string): void;
export declare function drawXSingle(context: CanvasRenderingContext2D | null, x: number, h: number, lineColor: string, lineWidth: number, text?: string, fontSize?: string): void;
export declare function drawFlagMark(context: CanvasRenderingContext2D | null, x: number, y: number, text: string, direction: 'up' | 'down', color: string, textColor: string, fontSize: string): void;
export declare function drawRectLimiterMark(context: CanvasRenderingContext2D | null, x1: number, x2: number, y11: number, y12: number, y21: number, y22: number, lineColor: string, lineWidth: number, areaColor: string, text?: string, fontSize?: string): void;
